summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Loibl <andreas@andreas-loibl.de>2012-05-20 23:46:03 +0200
committerAndreas Loibl <andreas@andreas-loibl.de>2012-05-20 23:46:03 +0200
commited5805953edf772f90d20680bd045ff26ad66d3e (patch)
treef6326da690e967bdd58d915e7119d734611c7e12
parentf4d6726311705a123c8e2f9a7e736bd253c3dee4 (diff)
downloadkanotix-ed5805953edf772f90d20680bd045ff26ad66d3e.zip
kanotix-ed5805953edf772f90d20680bd045ff26ad66d3e.tar.gz
reorder cleanup/ appdefault hooks
-rwxr-xr-xconfig/chroot_local-hooks/04-cleanup9
-rwxr-xr-xconfig/chroot_local-hooks/08-appdefaults10
2 files changed, 10 insertions, 9 deletions
diff --git a/config/chroot_local-hooks/04-cleanup b/config/chroot_local-hooks/04-cleanup
index 985bee0..560cced 100755
--- a/config/chroot_local-hooks/04-cleanup
+++ b/config/chroot_local-hooks/04-cleanup
@@ -19,7 +19,6 @@ do
: > ${FILE}
done
# custom cleanup
-rm -f /var/lib/apt/lists/* || true
rm -f /var/cache/apt/*.bin
dpkg --clear-avail
apt-cache gencaches
@@ -27,11 +26,3 @@ update-pciids || true
rm -f /usr/share/misc/pci.ids.*
update-usbids || true
rm -f /var/lib/usbutils/usb.ids.*
-# Some application defaults
-update-alternatives --set pager /usr/bin/most || true
-update-alternatives --set x-window-manager /usr/bin/openbox || true
-update-alternatives --set x-window-manager /usr/bin/kwin || true
-update-alternatives --set x-www-browser /usr/bin/iceweasel || true
-update-alternatives --set x-session-manager /usr/bin/startlxde || true
-update-alternatives --set x-session-manager /usr/bin/startkde || true
-update-alternatives --set editor /usr/bin/vim.basic || true
diff --git a/config/chroot_local-hooks/08-appdefaults b/config/chroot_local-hooks/08-appdefaults
new file mode 100755
index 0000000..268e6bd
--- /dev/null
+++ b/config/chroot_local-hooks/08-appdefaults
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Some application defaults
+update-alternatives --set pager /usr/bin/most || true
+update-alternatives --set x-window-manager /usr/bin/openbox || true
+update-alternatives --set x-window-manager /usr/bin/kwin || true
+update-alternatives --set x-www-browser /usr/bin/iceweasel || true
+update-alternatives --set x-session-manager /usr/bin/startlxde || true
+update-alternatives --set x-session-manager /usr/bin/startkde || true
+update-alternatives --set editor /usr/bin/vim.basic || true
+